com.impinj.octane

## Enum QtGetConfigResultStatus

- java.lang.Object
- - java.lang.Enum<QtGetConfigResultStatus>
  - - com.impinj.octane.QtGetConfigResultStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<QtGetConfigResultStatus>

      public enum QtGetConfigResultStatus
      extends java.lang.Enum<QtGetConfigResultStatus>

  An enumeration to describe the result of a QT Get Command operation
  See Also:
    `TagQtGetOp`, `TagQtGetOpResult`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IncorrectPasswordError` An incorrect QT password was used.
    `NonspecificReaderError` An unidentified reader error occurred.
    `NonspecificTagError` An unidentified tag error occurred.
    `NoResponseFromTag` No ACK response was received from the tag in response to the operation.
    `Success` The tag QT operation was successful.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static QtGetConfigResultStatus` | `valueOf(int qtGetConfigResultStatusValue)` Return the qtGetConfiguResult for a given integer value
    `static QtGetConfigResultStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static QtGetConfigResultStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Success

          public static final QtGetConfigResultStatus Success

      The tag QT operation was successful.

    - #### NonspecificTagError

          public static final QtGetConfigResultStatus NonspecificTagError

      An unidentified tag error occurred.

    - #### NoResponseFromTag

          public static final QtGetConfigResultStatus NoResponseFromTag

      No ACK response was received from the tag in response to the operation.

    - #### NonspecificReaderError

          public static final QtGetConfigResultStatus NonspecificReaderError

      An unidentified reader error occurred.

    - #### IncorrectPasswordError

          public static final QtGetConfigResultStatus IncorrectPasswordError

      An incorrect QT password was used.

  - ### Method Detail

    - #### values

          public static QtGetConfigResultStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QtGetConfigResultStatus c : QtGetConfigResultStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QtGetConfigResultStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static QtGetConfigResultStatus valueOf(int qtGetConfigResultStatusValue)

      Return the qtGetConfiguResult for a given integer value
      Parameters:
        `qtGetConfigResultStatusValue` - -- the integer value
      Returns:
        the corresponding QtGetConfigStatusResult

    - #### getValue

          public int getValue()

      Returns:
        the integer value associated with this enumeration